#
# Depth Charge Script
#
local CTorpedoShipProjectile = import('/lua/cybranprojectiles.lua').CTorpedoShipProjectile
local Entity = import('/lua/sim/Entity.lua').Entity
local defaultDamage = import('/lua/sim/defaultdamage.lua')

AANDepthCharge03 = Class(CTorpedoShipProjectile) {

    OnEnterWater = function(self)
        #ADepthChargeProjectile.OnEnterWater(self)

        local army = self:GetArmy()

        for i in self.FxEnterWater do #splash
            CreateEmitterAtEntity(self,army,self.FxEnterWater[i])
        end

        #self:SetMaxSpeed(20)
        #self:SetVelocity(0)
        #self:SetAcceleration(5)
        self:TrackTarget(true)
        self:StayUnderwater(true)
        self:SetTurnRate(240)
        self:SetVelocityAlign(true)
        self:SetStayUpright(false)
        #self:ForkThread(self.EnterWaterMovementThread)

		local proj = self:CreateChildProjectile('/projectiles/AANTorpedoChronoPack01/AANTorpedoChronoPack01_proj.bp')
		proj:PassDamageData(self.DamageData)
		proj:PassData(self:GetTrackingTarget())
		proj:SetVelocity(self:GetVelocity())
		proj:SetVelocity(10)
		self:Destroy()
    end,

}

TypeClass = AANDepthCharge03