#****************************************************************************
#**
#**  File     :  /data/projectiles/CANTorpedoNanite02/CANTorpedoNanite02_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix, Gordon Duclos
#**
#**  Summary  :  Cybran Anti-Navy Nanite Torpedo Script
#                Nanite Torpedo releases tiny nanites that do DoT
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
local CTorpedoShipProjectile = import('/lua/cybranprojectiles.lua').CTorpedoShipProjectile
local Entity = import('/lua/sim/Entity.lua').Entity
local defaultDamage = import('/lua/sim/defaultdamage.lua')

CANTorpedoNanite03 = Class(CTorpedoShipProjectile) {

    OnEnterWater = function(self)
        #ADepthChargeProjectile.OnEnterWater(self)

        local army = self:GetArmy()

        for i in self.FxEnterWater do #splash
            CreateEmitterAtEntity(self,army,self.FxEnterWater[i])
        end

        #self:SetMaxSpeed(20)
        #self:SetVelocity(0)
        #self:SetAcceleration(5)
        self:TrackTarget(true)
        self:StayUnderwater(true)
        self:SetTurnRate(240)
        self:SetVelocityAlign(true)
        self:SetStayUpright(false)
        #self:ForkThread(self.EnterWaterMovementThread)

		local proj = self:CreateChildProjectile('/projectiles/AANTorpedoChronoPack01/AANTorpedoChronoPack01_proj.bp')
		proj:PassDamageData(self.DamageData)
		proj:PassData(self:GetTrackingTarget())
		proj:SetVelocity(self:GetVelocity())
		proj:SetVelocity(10)
		self:Destroy()
    end,
}

TypeClass = CANTorpedoNanite03