#
# Terran Torpedo Bomb
#
local TTorpedoShipProjectile = import('/lua/terranprojectiles.lua').TTorpedoShipProjectile
#local SHeavyCavitationTorpedo = import('/lua/seraphimprojectiles.lua').SHeavyCavitationTorpedo 
#local RandomFloat = import('/lua/utilities.lua').GetRandomFloat
#local EffectTemplate = import('/lua/EffectTemplates.lua')

TANAnglerTorpedo06 = Class(TTorpedoShipProjectile) 
{

    OnEnterWater = function(self) 
        #TTorpedoShipProjectile.OnEnterWater(self)
        self:SetCollisionShape('Sphere', 0, 0, 0, 1.0)
        local army = self:GetArmy()

        for k, v in self.FxEnterWater do #splash
            CreateEmitterAtEntity(self,army,v)
        end
        self:TrackTarget(true)
        self:StayUnderwater(true)
        self:SetTurnRate(240)
        self:SetMaxSpeed(18)
        #self:SetVelocity(0)
        #self:ForkThread(self.MovementThread)

		local proj = self:CreateChildProjectile('/projectiles/TANAnglerTorpedo06_t/TANAnglerTorpedo01_proj_t.bp')
		proj:PassDamageData(self.DamageData)
		proj:PassData(self:GetTrackingTarget())  
		proj:SetVelocity(self:GetVelocity())
		proj:SetVelocity(10)
		self:Destroy() 
    end,

}

TypeClass = TANAnglerTorpedo06
